#ifndef CAMERA_H
#define CAMERA_H

#include "common.h"
#include "math3d.h"
#include "object.h"

class Camera : public Object{
public:
	float fieldOfView, aspectRatio, nearPlane, farPlane;

	Camera();
	virtual void use();

	Vector getMouseVector(int mx, int my);
};

class LookAtCamera : public Camera {
public:
	Vector target;
	
	LookAtCamera();
	virtual void use();
};


#endif