#ifndef PLAYER_H
#define PLAYER_H

#include "common.h"
#include "object.h"

class Guy : public Mesh {
public:
	Vector speed;
	float maxSpeed;
	bool feetOnGround;
	int jumpCount;
	int type;
	enum {CREATURE_PLAYER, CREATURE_ENEMY};

	// controls
	bool wantJump;
	float controlX, controlY;


	Guy(string fileName);
	virtual ~Guy();
	virtual void update(UpdateContext *uc);
};

class Player : public Guy {
public:
	bool toggleJump;

	Player();
	virtual ~Player();

	virtual void update(UpdateContext *uc);
};

class Enemy : public Guy {
public:
	Enemy();
	virtual ~Enemy();

	virtual void update(UpdateContext *uc);
};


#endif