#ifndef RESOURCES_H
#define RESOURCES_H

#include "common.h"

class Resources {
	string dataPath;

	map<string, int> textures;
	void loadTexture(const string& textureName);

	map<string, int> shaders;
	void loadShader(const string& shaderName);

public:
	Resources(const string& dataPath);

	int getTexture(const string& textureName);
	int getShader(const string& shaderName);
};

#endif 