#ifndef TIMER_H
#define TIMER_H

#include "common.h"

class Timer {

#ifdef WIN32
	bool useQpc;
	__int64 qpcLastTick;
	float qpcFreq; 
	int gtcLastTick;
#else
	int lastTick;
#endif
	float delta;

	float fpsTime, fps;
	int fpsCount;

public:
	Timer();

	float tick();
	float getTick() { return delta; }
	float getFps() { return fps; }
};

#endif
